package com.ruoyi.biz.service;

import com.ruoyi.biz.domain.ArFileIndex;
import com.ruoyi.biz.domain.vo.ArFileIndexVo;
import com.ruoyi.biz.domain.bo.ArFileIndexBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 展示图Service接口
 *
 * @author gwd
 * @date 2023-11-10
 */
public interface IArFileIndexService {

    /**
     * 查询展示图
     */
    ArFileIndexVo queryById(Long id);

    /**
     * 查询展示图列表
     */
    TableDataInfo<ArFileIndexVo> queryPageList(ArFileIndexBo bo, PageQuery pageQuery);

    /**
     * 查询展示图列表
     */
    List<ArFileIndexVo> queryList(ArFileIndexBo bo);

    /**
     * 新增展示图
     */
    Boolean insertByBo(ArFileIndexBo bo);

    /**
     * 修改展示图
     */
    Boolean updateByBo(ArFileIndexBo bo);

    /**
     * 校验并批量删除展示图信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 随机添加
     */
    Boolean randomAdd(Integer count);
}
